Dealer and Support API

These endpoints cover dealer workflows, license management, and support ticketing.

Dealer operations

  • Name
    GET /api/dealers
    Description
    List dealers.
  • Name
    GET /api/dealers/me
    Description
    Get dealer details and filtered list.
  • Name
    GET /api/dealer/:dealerId/audit-logs
    Description
    Dealer-specific audit logs.
  • Name
    GET /api/licenses/:id
    Description
    Get license details.
  • Name
    PUT /api/licenses/:id
    Description
    Update license details.

Dealer details

curl -G "$LIVEPIN_API_BASE_URL/api/dealers/me" \
  -H "Authorization: Bearer $JWT_TOKEN" \
  -H "x-api-key: $LIVEPIN_API_KEY" \
  -d limit=50 \
  -d offset=0 \
  -d expiring_in_days=30

License details

curl "$LIVEPIN_API_BASE_URL/api/licenses/:licenseId" \
  -H "Authorization: Bearer $JWT_TOKEN" \
  -H "x-api-key: $LIVEPIN_API_KEY"

Dealer audit logs

curl "$LIVEPIN_API_BASE_URL/api/dealer/:dealerId/audit-logs" \
  -H "Authorization: Bearer $JWT_TOKEN" \
  -H "x-api-key: $LIVEPIN_API_KEY"

Support operations

  • Name
    POST /api/support-tickets
    Description
    Create support ticket.
  • Name
    PUT /api/support-tickets/:id
    Description

    Update support ticket.

  • Name
    GET /api/support-tickets
    Description

    List support tickets with status filters.

  • Name
    DELETE /api/support-tickets/:id
    Description

    Delete support ticket.

Create support ticket

curl -X POST "$LIVEPIN_API_BASE_URL/api/support-tickets" \
  -H "Authorization: Bearer $JWT_TOKEN" \
  -H "x-api-key: $LIVEPIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"subject":"Device not reporting","description":"IMEI 377079642594 stopped sending data"}'

Update support ticket

curl -X PUT "$LIVEPIN_API_BASE_URL/api/support-tickets/:ticketId" \
  -H "Authorization: Bearer $JWT_TOKEN" \
  -H "x-api-key: $LIVEPIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"status":"resolved"}'

Was this page helpful?